mxResources (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxResources

    java.lang.Object
      com.mxgraph.util.mxResources

    public class mxResources

extends Object

Field Summary
`protected static LinkedList<ResourceBundle>` | `bundles` Ordered list of the inserted resource bundles.

Constructor Summary
`mxResources()`

Method Summary
`static void` | `add(String basename)` Adds a resource bundle.
`static void` | `add(String basename, Locale locale)` Adds a resource bundle.
`static String` | `get(String key)`
`static String` | `get(String key, String defaultValue)`
`static String` | `get(String key, String[] params)` Returns the value for the specified resource key.
`static String` | `get(String key, String[] params, String defaultValue)` Returns the value for the specified resource key.
`static LinkedList<ResourceBundle>` | `getBundles()` Returns the bundles.
`protected static String` | `getResource(String key)` Returns the value for `key` by searching the resource bundles in inverse order or `null` if no value can be found for `key`.
`static void` | `setBundles(LinkedList<ResourceBundle> value)` Sets the bundles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bundles

    protected static LinkedList<ResourceBundle> bundles

  Ordered list of the inserted resource bundles.

Constructor Detail

### mxResources

    public mxResources()

Method Detail

### getBundles

    public static LinkedList<ResourceBundle> getBundles()

  Returns the bundles.

  Returns:
    Returns the bundles.

### setBundles

    public static void setBundles(LinkedList<ResourceBundle> value)

  Sets the bundles.

  Parameters:
    `value` - The bundles to set.

### add

    public static void add(String basename)

  Adds a resource bundle. This may throw a MissingResourceException that should be handled in the calling code.

  Parameters:
    `basename` - The basename of the resource bundle to add.

### add

    public static void add(String basename,
                           Locale locale)

  Adds a resource bundle. This may throw a MissingResourceException that should be handled in the calling code.

  Parameters:
    `basename` - The basename of the resource bundle to add.

### get

    public static String get(String key)

### get

    public static String get(String key,
                             String defaultValue)

### get

    public static String get(String key,
                             String[] params)

  Returns the value for the specified resource key.

### get

    public static String get(String key,
                             String[] params,
                             String defaultValue)

  Returns the value for the specified resource key.

### getResource

    protected static String getResource(String key)

  Returns the value for `key` by searching the resource bundles in inverse order or `null` if no value can be found for `key`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.